### Constructor

# FwupdPlugin Chunk new

since: 1.1.2

#### Declaration [src]

    FuChunk*
    fu_chunk_new (
      guint idx,
      guint page,
      gsize address,
      const guint8* data,
      gsize data_sz
    )

#### Description [src]

Creates a new packet of chunked data.

Available since: 1.1.2

#### Parameters

`idx`

  Type: `guint`

  The packet number.

`page`

  Type: `guint`

  The hardware memory page.

`address`

  Type: `gsize`

  The address within the page.

`data`

  Type: `const guint8*`

  The data.

  The data is owned by the caller of the function.

`data_sz`

  Type: `gsize`

  Size of `data_sz`.

#### Return value

Type: `FuChunk`

A `FuChunk`.

The caller of the function takes ownership of the data, and is responsible for freeing it.